CartonCloud API
​UUID · uuid · required​integer​integer​string​string · enum​string · enum · required
Drivers
Endpoints related to Drivers.
Search Drivers
POST
https://api.cartoncloud.com
/tenants/{tenantId}/drivers/search
required permission: VIEW_DRIVER
path Parameters
tenantIdquery Parameters
pageThe page number to return results for
sizeThe number of elements per page. Default value may vary between endpoints
sortField name and sort order separated by a comma. {dot separated field name},{asc/desc}
nullHandlingEnum values:
NULLS_FIRST
NULLS_LAST
Headers
Accept-VersionAll API end points require Accept-Version in the request header.
Failure to provide the header will return a status code of 400, however, an invalid version can return a 404, 406 or 400.
Enum values:
8
Search Drivers › Request Body
Search request body. The condition tree is the value of `condition`.
`condition.type` is `AndCondition` or `OrCondition`.
​WrapperCondition · required
And and Or conditions must be accompanied with internal conditions property that provides all the fields level conditions that the wrapper must be applied to. Note: The FreeTextSearch condition cannot be combined with other fields level conditions.